#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
from PIL import Image
from PIL import ImageFilter
import os
import sys
source_dir = 'image'
output_dir = 'output_image'
output_size = 640

if not os.path.exists(output_dir): # output_imageȂ
    os.mkdir(output_dir)           # output_image
elif not os.path.isdir(output_dir): # output_imagefBNgłȂ
    sys.exit()                      # XNvgI

for file in os.listdir(source_dir):
    fileroot, ext = os.path.splitext(file)  # gq𕪗
    if ext.lower() in ('.jpg', '.jpeg'): # gq.jpg.jpeg
        image = Image.open(os.path.join(source_dir, file)) # 摜J
        if image.size[0] >= image.size[1]:  # ӂ𔻒
            scale = output_size / image.size[0] # kvZ
        else:
            scale = output_size / image.size[1]

        resized_image = image.resize(    # vZkŃTCY
            (int(image.size[0]*scale), int(image.size[1]*scale)))
        resized_image.save(os.path.join(output_dir, file)) # ۑ
        image.filter(ImageFilter.CONTOUR).save(
            os.path.join(output_dir, 'c_'+file)) # ֊soĕۑ