#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import cv2
image = cv2.imread('test.jpg')

# CascadeClassifierオブジェクトを作成
classifier = cv2.CascadeClassifier(
    'haarcascade_frontalface_default.xml')

# 検出を行う
faces = classifier.detectMultiScale(image)

# 検出された顔に赤枠を描く(BGRの順なので赤は(0,0,255))
for rect in faces:
    cv2.rectangle(image,
        tuple(rect[0:2]), tuple(rect[0:2]+rect[2:4]), (0,0,255), 2)

# 検出された顔の個数画像の左下にを書き込む
cv2.putText(image, '{} face(s) detected'.format(len(faces)),
    (10, image.shape[0]-10),  cv2.FONT_HERSHEY_SIMPLEX, 1.0, 
    (0, 0, 255))

cv2.imwrite('result.jpg',image)