#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import numpy as np
import cv2
import psychopy.visual
import psychopy.event

win = psychopy.visual.Window(units='pix', fullscr=False)
stim = psychopy.visual.ImageStim(win, size=(640,480), contrast=0.3)
capture = cv2.VideoCapture(0)
#if not capture.isOpened():
#    # 開けなかったときの処理はこのようにif文とisOpened()を使う

while not 'escape' in psychopy.event.getKeys():
    retval, image = capture.read() # grabとretrieveを一気に
    if retval:
        reversed = image[::-1,::-1,::-1]/128-1 # 色変換と反転を一気に
        stim.setImage(reversed)
        stim.draw()
        win.flip()

capture.release()
win.close()