#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import scipy.io.wavfile
import numpy as np
import matplotlib.pyplot as plt

rate, data = scipy.io.wavfile.read('test.wav')
N = 1024     # ؂ovf 2̗ݏ搔]܂
step = 256   # ؂oʒüړXebv
duration = 3 # ̏I(b)
s = 0        # ؂oJnʒuێϐ
hamming_window = np.hamming(N) # ֐(n~O)
freq_list = np.fft.fftfreq(N, d=1.0/rate) # gXg쐬
max_freq_index = int(6000*N/rate) # 6000HzɑΉCfbNX
results = [] # ʂێ郊Xg

while s+N < rate*duration: # duration𒴂Đ؂oĂȂH
    wd = hamming_window * data[s:s+N,0] # ֐Ƃ̐ςƂ
    W = np.fft.fft(wd)     # Fourierϊs

    # 6000Hz܂ł̐ȖΐvZresultsɒǉ
    results.append(np.log(np.abs(W[max_freq_index:1:-1])))
    s+=step  # ؂oJnʒuXV

power = np.array(results).transpose() # cgɂȂ悤]u
plt.imshow(power,                     # vbg
    extent=(0, power.shape[1]*(step/rate),
            freq_list[0], freq_list[max_freq_index]),
    aspect="auto")
plt.show()